import { EventBus } from "../../../event-bus";
export class BaseControl extends EventBus {
    constructor() {
        super();
    }
    show() {
        return;
    }
    hide() {
        return;
    }
    init() {
        return;
    }
    attach() {
        return;
    }
    detach() {
        return;
    }
    getState() {
        return;
    }
}
